# CombinationPokemonRequirement | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class CombinationPokemonRequirement

Combination of multiple `EncounterPokemonRequirements` (OR/AND possible. See isAnd)

#### Hierarchy (View Summary)

- EncounterPokemonRequirement
  - CombinationPokemonRequirement

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:116

##### Index

### Properties

invertQuery
minNumberOfPokemon

### Methods

getDialogueToken
meetsRequirement
queryParty
Every
Some

## Properties

### invertQuery

invertQuery: boolean

Inherited from EncounterPokemonRequirement.invertQuery

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:92

### minNumberOfPokemon

minNumberOfPokemon: number

Inherited from EncounterPokemonRequirement.minNumberOfPokemon

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:91

## Methods

### getDialogueToken

- getDialogueToken(pokemon?: PlayerPokemon ): [string, string]

  Retrieves a dialogue token key/value pair for the given `requirements`.

  #### Parameters

  - `Optional` pokemon: PlayerPokemon

    The `PlayerPokemon` to check against

  #### Returns [string, string]

  A dialogue token key/value pair

  #### Throws

  An Error if isAnd is `true` (not supported)

  Overrides EncounterPokemonRequirement.getDialogueToken

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:166

### meetsRequirement

- meetsRequirement(): boolean

  Checks if all/any requirements are met (depends on isAnd)

  #### Returns boolean

  true if all/any requirements are met (depends on isAnd)

  Overrides EncounterPokemonRequirement.meetsRequirement

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:141

### queryParty

- queryParty(partyPokemon: PlayerPokemon []): PlayerPokemon []

  Queries the players party for all party members that are compatible with all/any requirements (depends on isAnd)

  #### Parameters

  - partyPokemon: PlayerPokemon []

    The party of `PlayerPokemon`

  #### Returns PlayerPokemon []

  All party members that are compatible with all/any requirements (depends on isAnd)

  Overrides EncounterPokemonRequirement.queryParty

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:152

### `Static` Every

- Every(
  ...requirements: EncounterPokemonRequirement [],
  ): CombinationPokemonRequirement

  #### Parameters

  - ...requirements: EncounterPokemonRequirement []

  #### Returns CombinationPokemonRequirement

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:125

### `Static` Some

- Some(
  ...requirements: EncounterPokemonRequirement [],
  ): CombinationPokemonRequirement

  #### Parameters

  - ...requirements: EncounterPokemonRequirement []

  #### Returns CombinationPokemonRequirement

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:121